
use PFM::linhat_ai1;

($sec,$min,$hr,$moDay,$month,$year)=localtime(time);
$month++;
$year+=1900;
my $date = "$year-$month-$moDay $hr:$min:$sec";

open IRCLOG, "neg9.txt" 
or die "Unable to open neg9.txt";
#my @lines = ();
while (<IRCLOG>) {
	# take off the \n at the end.
	chomp($_);
	#push(@words, $_);
	if(/\([^\)]+\) ([^ :]*): (.*)/) { 
		# It must be a type 4, speech.
		print "Speech: " . $1 . "," . $2 . "\n";
		$user = $1;
		$data = $2;
	}
	elsif(/\([^\)]+\) \*\*\*([^ ]*) (.*)/) { 
		# It must be a type 3, action.
		print "Action: " . $1 . "," . $2 . "\n";
		$user = $1;
		$data = $2;
	}
	else {
		next;
	}
	# Grab the user.
	my @users = get_user($user);
	if(!@users)
	{
		# If the user doesn't exist, add them for future reference.
		add_user($user);
	}
	
	# Input the data.
	input_data($user, $data, $date);
	#find_data($data);
	#last;
}
close IRCLOG;

exit_ai();
